org.wildfly.swarm.config

## Class Transactions<T extends Transactions<T>>

- java.lang.Object
- - org.wildfly.swarm.config.Transactions<T>

- Direct Known Subclasses:
    TransactionsFraction

      public class Transactions<T extends Transactions<T>>
      extends Object

  The configuration of the transaction subsystem.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Transactions.TransactionsResources` Child mutators for Transactions

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Transactions()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Long` | `averageCommitTime()` The average time of transaction commit in nanoseconds, measured from the moment the client calls commit until the transaction manager determines that the commit attempt was successful.
    `T` | `averageCommitTime(Long value)` The average time of transaction commit in nanoseconds, measured from the moment the client calls commit until the transaction manager determines that the commit attempt was successful.
    `T` | `commitMarkableResource(CommitMarkableResource value)` Add the CommitMarkableResource object to the list of subresources
    `T` | `commitMarkableResource(CommitMarkableResourceSupplier supplier)` Install a supplied CommitMarkableResource object to the list of subresources
    `T` | `commitMarkableResource(String childKey)` Create and configure a CommitMarkableResource object to the list of subresources
    `T` | `commitMarkableResource(String childKey, CommitMarkableResourceConsumer consumer)` Create and configure a CommitMarkableResource object to the list of subresources
    `T` | `commitMarkableResources(List<CommitMarkableResource> value)` Add all CommitMarkableResource objects to this subresource
    `Integer` | `defaultTimeout()` The default timeout for a transaction managed by the transaction manager.
    `T` | `defaultTimeout(Integer value)` The default timeout for a transaction managed by the transaction manager.
    `Boolean` | `enableStatistics()` Whether transaction statistics should be gathered.
    `T` | `enableStatistics(Boolean value)` Whether transaction statistics should be gathered.
    `Boolean` | `enableTsmStatus()` Whether the transaction status manager (TSM) service, needed for out of process recovery, should be provided or not.
    `T` | `enableTsmStatus(Boolean value)` Whether the transaction status manager (TSM) service, needed for out of process recovery, should be provided or not.
    `String` | `getKey()`
    `Boolean` | `hornetqStoreEnableAsyncIo()` Whether AsyncIO should be enabled for the journal store.
    `T` | `hornetqStoreEnableAsyncIo(Boolean value)` Whether AsyncIO should be enabled for the journal store.
    `Boolean` | `jdbcActionStoreDropTable()` Configure if jdbc action store should drop tables.
    `T` | `jdbcActionStoreDropTable(Boolean value)` Configure if jdbc action store should drop tables.
    `String` | `jdbcActionStoreTablePrefix()` Optional prefix for table used to write transaction logs in configured jdbc action store.
    `T` | `jdbcActionStoreTablePrefix(String value)` Optional prefix for table used to write transaction logs in configured jdbc action store.
    `Boolean` | `jdbcCommunicationStoreDropTable()` Configure if jdbc communication store should drop tables.
    `T` | `jdbcCommunicationStoreDropTable(Boolean value)` Configure if jdbc communication store should drop tables.
    `String` | `jdbcCommunicationStoreTablePrefix()` Optional prefix for table used to write transaction logs in configured jdbc communication store.
    `T` | `jdbcCommunicationStoreTablePrefix(String value)` Optional prefix for table used to write transaction logs in configured jdbc communication store.
    `Boolean` | `jdbcStateStoreDropTable()` Configure if jdbc state store should drop tables.
    `T` | `jdbcStateStoreDropTable(Boolean value)` Configure if jdbc state store should drop tables.
    `String` | `jdbcStateStoreTablePrefix()` Optional prefix for table used to write transaction logs in configured jdbc state store.
    `T` | `jdbcStateStoreTablePrefix(String value)` Optional prefix for table used to write transaction logs in configured jdbc state store.
    `String` | `jdbcStoreDatasource()` Jndi name of non-XA datasource used.
    `T` | `jdbcStoreDatasource(String value)` Jndi name of non-XA datasource used.
    `Boolean` | `journalStoreEnableAsyncIo()` Whether AsyncIO should be enabled for the journal store.
    `T` | `journalStoreEnableAsyncIo(Boolean value)` Whether AsyncIO should be enabled for the journal store.
    `Boolean` | `jts()` If true this enables the Java Transaction Service.
    `T` | `jts(Boolean value)` If true this enables the Java Transaction Service.
    `T` | `logStore()` Representation of the transaction logging storage mechanism.
    `T` | `logStore(LogStore value)` Representation of the transaction logging storage mechanism.
    `T` | `logStore(LogStoreConsumer consumer)` Representation of the transaction logging storage mechanism.
    `T` | `logStore(LogStoreSupplier supplier)` Representation of the transaction logging storage mechanism.
    `String` | `nodeIdentifier()` Used to set the node identifier on the core environment.
    `T` | `nodeIdentifier(String value)` Used to set the node identifier on the core environment.
    `Long` | `numberOfAbortedTransactions()` The number of aborted (i.e.
    `T` | `numberOfAbortedTransactions(Long value)` The number of aborted (i.e.
    `Long` | `numberOfApplicationRollbacks()` The number of transactions that have been rolled back by application request.
    `T` | `numberOfApplicationRollbacks(Long value)` The number of transactions that have been rolled back by application request.
    `Long` | `numberOfCommittedTransactions()` The number of committed transactions.
    `T` | `numberOfCommittedTransactions(Long value)` The number of committed transactions.
    `Long` | `numberOfHeuristics()` The number of transactions which have terminated with heuristic outcomes.
    `T` | `numberOfHeuristics(Long value)` The number of transactions which have terminated with heuristic outcomes.
    `Long` | `numberOfInflightTransactions()` The number of transactions that have begun but not yet terminated.
    `T` | `numberOfInflightTransactions(Long value)` The number of transactions that have begun but not yet terminated.
    `Long` | `numberOfNestedTransactions()` The total number of nested (sub) transactions created.
    `T` | `numberOfNestedTransactions(Long value)` The total number of nested (sub) transactions created.
    `Long` | `numberOfResourceRollbacks()` The number of transactions that rolled back due to resource (participant) failure.
    `T` | `numberOfResourceRollbacks(Long value)` The number of transactions that rolled back due to resource (participant) failure.
    `Long` | `numberOfSystemRollbacks()` The number of transactions that have been rolled back due to internal system errors.
    `T` | `numberOfSystemRollbacks(Long value)` The number of transactions that have been rolled back due to internal system errors.
    `Long` | `numberOfTimedOutTransactions()` The number of transactions that have rolled back due to timeout.
    `T` | `numberOfTimedOutTransactions(Long value)` The number of transactions that have rolled back due to timeout.
    `Long` | `numberOfTransactions()` The total number of transactions (top-level and nested) created
    `T` | `numberOfTransactions(Long value)` The total number of transactions (top-level and nested) created
    `String` | `objectStorePath()` Denotes a relative or absolute filesystem path denoting where the transaction manager object store should store data.
    `T` | `objectStorePath(String value)` Denotes a relative or absolute filesystem path denoting where the transaction manager object store should store data.
    `String` | `objectStoreRelativeTo()` References a global path configuration in the domain model, defaulting to the Application Server data directory (jboss.server.data.dir).
    `T` | `objectStoreRelativeTo(String value)` References a global path configuration in the domain model, defaulting to the Application Server data directory (jboss.server.data.dir).
    `String` | `processIdSocketBinding()` The name of the socket binding configuration to use if the transaction manager should use a socket-based process id.
    `T` | `processIdSocketBinding(String value)` The name of the socket binding configuration to use if the transaction manager should use a socket-based process id.
    `Integer` | `processIdSocketMaxPorts()` The maximum number of ports to search for an open port if the transaction manager should use a socket-based process id.
    `T` | `processIdSocketMaxPorts(Integer value)` The maximum number of ports to search for an open port if the transaction manager should use a socket-based process id.
    `Boolean` | `processIdUuid()` Indicates whether the transaction manager should use a UUID based process id.
    `T` | `processIdUuid(Boolean value)` Indicates whether the transaction manager should use a UUID based process id.
    `Boolean` | `recoveryListener()` Used to specify if the recovery system should listen on a network socket or not.
    `T` | `recoveryListener(Boolean value)` Used to specify if the recovery system should listen on a network socket or not.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `String` | `socketBinding()` Used to reference the correct socket binding to use for the recovery environment.
    `T` | `socketBinding(String value)` Used to reference the correct socket binding to use for the recovery environment.
    `Boolean` | `statisticsEnabled()` Whether transaction statistics should be gathered.
    `T` | `statisticsEnabled(Boolean value)` Whether transaction statistics should be gathered.
    `String` | `statusSocketBinding()` Used to reference the correct socket binding to use for the transaction status manager.
    `T` | `statusSocketBinding(String value)` Used to reference the correct socket binding to use for the transaction status manager.
    `Transactions.TransactionsResources` | `subresources()`
    `Boolean` | `useHornetqStore()` Use the journal store for writing transaction logs.
    `T` | `useHornetqStore(Boolean value)` Use the journal store for writing transaction logs.
    `Boolean` | `useJdbcStore()` Use the jdbc store for writing transaction logs.
    `T` | `useJdbcStore(Boolean value)` Use the jdbc store for writing transaction logs.
    `Boolean` | `useJournalStore()` Use the journal store for writing transaction logs.
    `T` | `useJournalStore(Boolean value)` Use the journal store for writing transaction logs.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Transactions

          public Transactions()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public Transactions.TransactionsResources subresources()

    - #### commitMarkableResources

          public T commitMarkableResources(List<CommitMarkableResource> value)

      Add all CommitMarkableResource objects to this subresource
      Parameters:
        `value` - List of CommitMarkableResource objects.
      Returns:
        this

    - #### commitMarkableResource

          public T commitMarkableResource(CommitMarkableResource value)

      Add the CommitMarkableResource object to the list of subresources
      Parameters:
        `value` - The CommitMarkableResource to add
      Returns:
        this

    - #### commitMarkableResource

          public T commitMarkableResource(String childKey,
                                          CommitMarkableResourceConsumer consumer)

      Create and configure a CommitMarkableResource object to the list of subresources
      Parameters:
        `key` - The key for the CommitMarkableResource resource
        `config` - The CommitMarkableResourceConsumer to use
      Returns:
        this

    - #### commitMarkableResource

          public T commitMarkableResource(String childKey)

      Create and configure a CommitMarkableResource object to the list of subresources
      Parameters:
        `key` - The key for the CommitMarkableResource resource
      Returns:
        this

    - #### commitMarkableResource

          public T commitMarkableResource(CommitMarkableResourceSupplier supplier)

      Install a supplied CommitMarkableResource object to the list of subresources

    - #### logStore

          public T logStore(LogStore value)

      Representation of the transaction logging storage mechanism.

    - #### logStore

          public T logStore(LogStoreConsumer consumer)

      Representation of the transaction logging storage mechanism.

    - #### logStore

          public T logStore()

      Representation of the transaction logging storage mechanism.

    - #### logStore

          public T logStore(LogStoreSupplier supplier)

      Representation of the transaction logging storage mechanism.

    - #### averageCommitTime

          public Long averageCommitTime()

      The average time of transaction commit in nanoseconds, measured from the moment the client calls commit until the transaction manager determines that the commit attempt was successful.

    - #### averageCommitTime

          public T averageCommitTime(Long value)

      The average time of transaction commit in nanoseconds, measured from the moment the client calls commit until the transaction manager determines that the commit attempt was successful.

    - #### defaultTimeout

          public Integer defaultTimeout()

      The default timeout for a transaction managed by the transaction manager.

    - #### defaultTimeout

          public T defaultTimeout(Integer value)

      The default timeout for a transaction managed by the transaction manager.

    - #### enableStatistics

          public Boolean enableStatistics()

      Whether transaction statistics should be gathered.

    - #### enableStatistics

          public T enableStatistics(Boolean value)

      Whether transaction statistics should be gathered.

    - #### enableTsmStatus

          public Boolean enableTsmStatus()

      Whether the transaction status manager (TSM) service, needed for out of process recovery, should be provided or not.

    - #### enableTsmStatus

          public T enableTsmStatus(Boolean value)

      Whether the transaction status manager (TSM) service, needed for out of process recovery, should be provided or not.

    - #### hornetqStoreEnableAsyncIo

          public Boolean hornetqStoreEnableAsyncIo()

      Whether AsyncIO should be enabled for the journal store.

    - #### hornetqStoreEnableAsyncIo

          public T hornetqStoreEnableAsyncIo(Boolean value)

      Whether AsyncIO should be enabled for the journal store.

    - #### jdbcActionStoreDropTable

          public Boolean jdbcActionStoreDropTable()

      Configure if jdbc action store should drop tables.

    - #### jdbcActionStoreDropTable

          public T jdbcActionStoreDropTable(Boolean value)

      Configure if jdbc action store should drop tables.

    - #### jdbcActionStoreTablePrefix

          public String jdbcActionStoreTablePrefix()

      Optional prefix for table used to write transaction logs in configured jdbc action store.

    - #### jdbcActionStoreTablePrefix

          public T jdbcActionStoreTablePrefix(String value)

      Optional prefix for table used to write transaction logs in configured jdbc action store.

    - #### jdbcCommunicationStoreDropTable

          public Boolean jdbcCommunicationStoreDropTable()

      Configure if jdbc communication store should drop tables.

    - #### jdbcCommunicationStoreDropTable

          public T jdbcCommunicationStoreDropTable(Boolean value)

      Configure if jdbc communication store should drop tables.

    - #### jdbcCommunicationStoreTablePrefix

          public String jdbcCommunicationStoreTablePrefix()

      Optional prefix for table used to write transaction logs in configured jdbc communication store.

    - #### jdbcCommunicationStoreTablePrefix

          public T jdbcCommunicationStoreTablePrefix(String value)

      Optional prefix for table used to write transaction logs in configured jdbc communication store.

    - #### jdbcStateStoreDropTable

          public Boolean jdbcStateStoreDropTable()

      Configure if jdbc state store should drop tables.

    - #### jdbcStateStoreDropTable

          public T jdbcStateStoreDropTable(Boolean value)

      Configure if jdbc state store should drop tables.

    - #### jdbcStateStoreTablePrefix

          public String jdbcStateStoreTablePrefix()

      Optional prefix for table used to write transaction logs in configured jdbc state store.

    - #### jdbcStateStoreTablePrefix

          public T jdbcStateStoreTablePrefix(String value)

      Optional prefix for table used to write transaction logs in configured jdbc state store.

    - #### jdbcStoreDatasource

          public String jdbcStoreDatasource()

      Jndi name of non-XA datasource used. Datasource sghould be define in datasources subsystem. For this would work the non-XA datasource has to be marked as jta="false".

    - #### jdbcStoreDatasource

          public T jdbcStoreDatasource(String value)

      Jndi name of non-XA datasource used. Datasource sghould be define in datasources subsystem. For this would work the non-XA datasource has to be marked as jta="false".

    - #### journalStoreEnableAsyncIo

          public Boolean journalStoreEnableAsyncIo()

      Whether AsyncIO should be enabled for the journal store. For this settings being active journal natives libraries needs to be available.

    - #### journalStoreEnableAsyncIo

          public T journalStoreEnableAsyncIo(Boolean value)

      Whether AsyncIO should be enabled for the journal store. For this settings being active journal natives libraries needs to be available.

    - #### jts

          public Boolean jts()

      If true this enables the Java Transaction Service. Use of the JTS needs configuration in IIOP OpenJDK where Transactions parameter needs to be set to full.

    - #### jts

          public T jts(Boolean value)

      If true this enables the Java Transaction Service. Use of the JTS needs configuration in IIOP OpenJDK where Transactions parameter needs to be set to full.

    - #### nodeIdentifier

          public String nodeIdentifier()

      Used to set the node identifier on the core environment. Each Xid that Transaction Manager creates will have this identifier encoded within it and ensures Transaction Manager will only recover branches which match the specified identifier. It is imperative that this identifier is unique between Application Server instances which share either an object store or access common resource managers.

    - #### nodeIdentifier

          public T nodeIdentifier(String value)

      Used to set the node identifier on the core environment. Each Xid that Transaction Manager creates will have this identifier encoded within it and ensures Transaction Manager will only recover branches which match the specified identifier. It is imperative that this identifier is unique between Application Server instances which share either an object store or access common resource managers.

    - #### numberOfAbortedTransactions

          public Long numberOfAbortedTransactions()

      The number of aborted (i.e. rolledback) transactions.

    - #### numberOfAbortedTransactions

          public T numberOfAbortedTransactions(Long value)

      The number of aborted (i.e. rolledback) transactions.

    - #### numberOfApplicationRollbacks

          public Long numberOfApplicationRollbacks()

      The number of transactions that have been rolled back by application request. This includes those that timeout, since the timeout behavior is considered an attribute of the application configuration.

    - #### numberOfApplicationRollbacks

          public T numberOfApplicationRollbacks(Long value)

      The number of transactions that have been rolled back by application request. This includes those that timeout, since the timeout behavior is considered an attribute of the application configuration.

    - #### numberOfCommittedTransactions

          public Long numberOfCommittedTransactions()

      The number of committed transactions.

    - #### numberOfCommittedTransactions

          public T numberOfCommittedTransactions(Long value)

      The number of committed transactions.

    - #### numberOfHeuristics

          public Long numberOfHeuristics()

      The number of transactions which have terminated with heuristic outcomes.

    - #### numberOfHeuristics

          public T numberOfHeuristics(Long value)

      The number of transactions which have terminated with heuristic outcomes.

    - #### numberOfInflightTransactions

          public Long numberOfInflightTransactions()

      The number of transactions that have begun but not yet terminated.

    - #### numberOfInflightTransactions

          public T numberOfInflightTransactions(Long value)

      The number of transactions that have begun but not yet terminated.

    - #### numberOfNestedTransactions

          public Long numberOfNestedTransactions()

      The total number of nested (sub) transactions created.

    - #### numberOfNestedTransactions

          public T numberOfNestedTransactions(Long value)

      The total number of nested (sub) transactions created.

    - #### numberOfResourceRollbacks

          public Long numberOfResourceRollbacks()

      The number of transactions that rolled back due to resource (participant) failure.

    - #### numberOfResourceRollbacks

          public T numberOfResourceRollbacks(Long value)

      The number of transactions that rolled back due to resource (participant) failure.

    - #### numberOfSystemRollbacks

          public Long numberOfSystemRollbacks()

      The number of transactions that have been rolled back due to internal system errors.

    - #### numberOfSystemRollbacks

          public T numberOfSystemRollbacks(Long value)

      The number of transactions that have been rolled back due to internal system errors.

    - #### numberOfTimedOutTransactions

          public Long numberOfTimedOutTransactions()

      The number of transactions that have rolled back due to timeout.

    - #### numberOfTimedOutTransactions

          public T numberOfTimedOutTransactions(Long value)

      The number of transactions that have rolled back due to timeout.

    - #### numberOfTransactions

          public Long numberOfTransactions()

      The total number of transactions (top-level and nested) created

    - #### numberOfTransactions

          public T numberOfTransactions(Long value)

      The total number of transactions (top-level and nested) created

    - #### objectStorePath

          public String objectStorePath()

      Denotes a relative or absolute filesystem path denoting where the transaction manager object store should store data. By default the value is treated as relative to the path denoted by the "relative-to" attribute. This settings is valid when default or journal store is used. It's not used when jdbc journal store is used.

    - #### objectStorePath

          public T objectStorePath(String value)

      Denotes a relative or absolute filesystem path denoting where the transaction manager object store should store data. By default the value is treated as relative to the path denoted by the "relative-to" attribute. This settings is valid when default or journal store is used. It's not used when jdbc journal store is used.

    - #### objectStoreRelativeTo

          public String objectStoreRelativeTo()

      References a global path configuration in the domain model, defaulting to the Application Server data directory (jboss.server.data.dir). The value of the "Object store path" attribute will treated as relative to this path. Undefine this attribute to disable the default behavior and force the value of the "Object store path" attribute to be treated as an absolute path.

    - #### objectStoreRelativeTo

          public T objectStoreRelativeTo(String value)

      References a global path configuration in the domain model, defaulting to the Application Server data directory (jboss.server.data.dir). The value of the "Object store path" attribute will treated as relative to this path. Undefine this attribute to disable the default behavior and force the value of the "Object store path" attribute to be treated as an absolute path.

    - #### processIdSocketBinding

          public String processIdSocketBinding()

      The name of the socket binding configuration to use if the transaction manager should use a socket-based process id. Will be 'undefined' if 'process-id-uuid' is 'true'; otherwise must be set.

    - #### processIdSocketBinding

          public T processIdSocketBinding(String value)

      The name of the socket binding configuration to use if the transaction manager should use a socket-based process id. Will be 'undefined' if 'process-id-uuid' is 'true'; otherwise must be set.

    - #### processIdSocketMaxPorts

          public Integer processIdSocketMaxPorts()

      The maximum number of ports to search for an open port if the transaction manager should use a socket-based process id. If the port specified by the socket binding referenced in 'process-id-socket-binding' is occupied, the next higher port will be tried until an open port is found or the number of ports specified by this attribute have been tried. Will be 'undefined' if 'process-id-uuid' is 'true'.

    - #### processIdSocketMaxPorts

          public T processIdSocketMaxPorts(Integer value)

      The maximum number of ports to search for an open port if the transaction manager should use a socket-based process id. If the port specified by the socket binding referenced in 'process-id-socket-binding' is occupied, the next higher port will be tried until an open port is found or the number of ports specified by this attribute have been tried. Will be 'undefined' if 'process-id-uuid' is 'true'.

    - #### processIdUuid

          public Boolean processIdUuid()

      Indicates whether the transaction manager should use a UUID based process id.

    - #### processIdUuid

          public T processIdUuid(Boolean value)

      Indicates whether the transaction manager should use a UUID based process id.

    - #### recoveryListener

          public Boolean recoveryListener()

      Used to specify if the recovery system should listen on a network socket or not.

    - #### recoveryListener

          public T recoveryListener(Boolean value)

      Used to specify if the recovery system should listen on a network socket or not.

    - #### socketBinding

          public String socketBinding()

      Used to reference the correct socket binding to use for the recovery environment.

    - #### socketBinding

          public T socketBinding(String value)

      Used to reference the correct socket binding to use for the recovery environment.

    - #### statisticsEnabled

          public Boolean statisticsEnabled()

      Whether transaction statistics should be gathered.

    - #### statisticsEnabled

          public T statisticsEnabled(Boolean value)

      Whether transaction statistics should be gathered.

    - #### statusSocketBinding

          public String statusSocketBinding()

      Used to reference the correct socket binding to use for the transaction status manager.

    - #### statusSocketBinding

          public T statusSocketBinding(String value)

      Used to reference the correct socket binding to use for the transaction status manager.

    - #### useHornetqStore

          public Boolean useHornetqStore()

      Use the journal store for writing transaction logs. Set to true to enable and to false to use the default log store type. The default log store is normally one file system file per transaction log.It's alternative to jdbc based store.

    - #### useHornetqStore

          public T useHornetqStore(Boolean value)

      Use the journal store for writing transaction logs. Set to true to enable and to false to use the default log store type. The default log store is normally one file system file per transaction log.It's alternative to jdbc based store.

    - #### useJdbcStore

          public Boolean useJdbcStore()

      Use the jdbc store for writing transaction logs. Set to true to enable and to false to use the default log store type. The default log store is normally one file file per transaction log. It's alternative to journal based store.

    - #### useJdbcStore

          public T useJdbcStore(Boolean value)

      Use the jdbc store for writing transaction logs. Set to true to enable and to false to use the default log store type. The default log store is normally one file file per transaction log. It's alternative to journal based store.

    - #### useJournalStore

          public Boolean useJournalStore()

      Use the journal store for writing transaction logs. Set to true to enable and to false to use the default log store type. The default log store creates normally one file system file per transaction log. The journal one consists from one file for all the transactions. It's alternative to jdbc based store.

    - #### useJournalStore

          public T useJournalStore(Boolean value)

      Use the journal store for writing transaction logs. Set to true to enable and to false to use the default log store type. The default log store creates normally one file system file per transaction log. The journal one consists from one file for all the transactions. It's alternative to jdbc based store.

Copyright © 2017 JBoss by Red Hat. All rights reserved.